Severity: normal Found in Version:

Description

Error messages regarding missing roles are quite cryptical these days:

org.eclipse.ed4.core.di.InjectionException:
org.springframework.orm.hibernate5.HibernateSystemException: Permission
denied for 'g.domina' none of the roles
'[Leu.etaxonomy.cdm.persistence.hibernate.permission.Role;@112309b5"
found in authentication.; nested exception is
eu.etaxonomy.cdm.database.PermissionDeniedException: Permission denied
for 'g.domina' none of the roles
'[Leu.etaxonomy.cdm.persistence.hibernate.permission.Role;@112309b5"
found in authentication.

Associated revisions

Revision a2¢52f59 - 01/30/2020 11:39 AM - Andreas Kohlbecker
fix #8839 toString() for Role

Revision 31cda96c - 03/10/2020 09:35 AM - Andreas Kohlbecker
ref #8839 directly referencing the role field

History

#1 - 01/30/2020 11:39 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|a2c52f5908705d903861a83541ae556214bff646.

#2 - 01/30/2020 05:07 PM - Andreas Miuller

Is there a reason for using getRole() instead of directly referencing the role field? For toString() methods it is best praxis to only reference internal
fields to be on the save side the data that is used in toString() never needs to load other objects or needs to do lazy loading.

With the current implemetation of getRole() there is not difference. But if the implementation changes in future you may not realize that you need to
adapt toString()

#3 - 03/02/2020 01:59 PM - Andreas Miuller

- Status changed from Resolved to Feedback

#4 - 03/10/2020 09:36 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

changed to direct field access.
